/*
 * Copyright 2017 Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef ALERT_LAYOUT_H
#define ALERT_LAYOUT_H

#include "AlertPath.h"

#define LAYOUT_ALERT                "alert"
#define PART_TIME                   "text.time"
#define PART_ORIG_TIME              "text.orig_time"
#define PART_BUTTON_DISMISS         "swallow.button_dismiss"
#define PART_BUTTON_SNOOZE          "swallow.button_snooze"

#define COLOR_CLASS_DISMISS_VISIBLE "dismiss_visible"
#define COLOR_CLASS_DISMISS_HIDDEN  "dismiss_hidden"

#define COLOR_CLASS_SNOOZE_VISIBLE  "snooze_visible"
#define COLOR_CLASS_SNOOZE_HIDDEN   "snooze_hidden"

#define SIGNAL_BUTTON_PRESS         "state,pressed"
#define SIGNAL_BUTTON_UNPRESS       "state,unpressed"

#define SIGNAL_DISMISS_SHOW         "state,dismiss,default"
#define SIGNAL_DISMISS_HIDE         "state,dismiss,hidden"

#define SIGNAL_SNOOZE_SHOW          "state,snooze,default"
#define SIGNAL_SNOOZE_HIDE          "state,snooze,hidden"

#define TIME_TEXT_SIZE              30
#define ORIG_TIME_TEXT_SIZE         22

#define COLOR_BUTTON_DISMISS        222, 11, 0
#define COLOR_BUTTON_SNOOZE         255, 208, 0

#endif /* ALERT_LAYOUT_H */
